function XqoFrame_OnUpdate()
	-- Player
	local pX, pY, Nick, cX, cY, cursor, left, bottom, height, width, scale
	pX, pY = GetPlayerMapPosition("player");
	pX = pX*100
	pY = pY*100
	pX = math.floor(pX*10)/10
	pY = math.floor(pY*10)/10
	if pX == 0.0 or pY == 0.0 then
		Nick = "N/A";
	else
		Nick = UnitName("player")
		pX = string.format("%.1f", pX)
		pY = string.format("%.1f", pY)
		Nick = Nick .. ": |cffffffff" .. pX .. ", " .. pY;
	end

	-- Cursor
	width, height, scale = WorldMapDetailFrame:GetWidth(), WorldMapDetailFrame:GetHeight(), WorldMapDetailFrame:GetEffectiveScale();
	cX, cY = WorldMapDetailFrame:GetCenter()
	left, bottom = cX - width / 2, cY + height /2;

	cX, cY = GetCursorPosition();
	cX, cY = (cX / scale - left) / width * 100, (bottom - cY / scale) / height * 100;
	

	if cX < 0 or cX > 100 or cY < 0 or cY > 100 then
		cursor = "N/A"
	else
		--cX = cX*100
		--cY = cY*100
		cX = math.floor(cX*10)/10
		cY = math.floor(cY*10)/10
		cX = string.format("%.1f", cX)
		cY = string.format("%.1f", cY)
		cursor = "Cursor: |cffffffff" .. cX .. ", " .. cY;
	end

	XqoFrameText:SetText(Nick .. "|r  -  " .. cursor .. "|r");

end

function Xqo_OnSizeToggle()
	if WORLDMAP_SETTINGS.size == WORLDMAP_WINDOWED_SIZE then
		XqoFrameText:SetPoint("BOTTOM", WorldMapFrame, "BOTTOM", 0, 20)
	else 
		XqoFrameText:SetPoint("BOTTOM", WorldMapFrame, "BOTTOM", 0, 10)
	end
end

WorldMapFrameSizeUpButton:HookScript("OnClick", Xqo_OnSizeToggle)
WorldMapFrame:HookScript("OnShow", Xqo_OnSizeToggle)
